ClassCodeVisitorSupport (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.ast, class: ClassCodeVisitorSupport

Package org.codehaus.groovy.ast

# Class ClassCodeVisitorSupport

java.lang.Object
org.codehaus.groovy.ast.CodeVisitorSupport
org.codehaus.groovy.ast.ClassCodeVisitorSupport

All Implemented Interfaces:
  `GroovyClassVisitor`, `GroovyCodeVisitor`, `ErrorCollecting`

Direct Known Subclasses:
  `AbstractInterruptibleASTTransformation`, `AnnotationConstantsVisitor`, `AssertStatementCreationUtility.AddAssertionCallStatementToReturnStatementVisitor`, `AssertStatementCreationUtility.AddResultReturnStatementVisitor`, `AssertStatementCreationUtility.ReturnStatementVisitor`, `ASTTransformationCollectorCodeVisitor`, `ASTTransformationVisitor`, `BaseVisitor`, `ClassCodeExpressionTransformer`, `ClassCompletionVerifier`, `ClassGenerator`, `ContextualClassCodeVisitor`, `DependencyTracker`, `EnumCompletionVisitor`, `EnumVisitor`, `ExtendedVerifier`, `FinalVariableAnalyzer`, `GenericsVisitor`, `GrabAnnotationTransformation`, `GroovydocVisitor`, `InnerClassVisitorHelper`, `InstanceOfVerifier`, `LabelVerifier`, `PlaceholderVisitor`, `SharedVariableCollector`, `StaticTypeCheckingVisitor`, `StaticTypeCheckingVisitor.VariableExpressionTypeMemoizer`, `StaticVerifier`, `VariableScopeVisitor`

public abstract class ClassCodeVisitorSupport extends CodeVisitorSupport implements ErrorCollecting, GroovyClassVisitor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassCodeVisitorSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String error, ASTNode node)`
  `protected abstract SourceUnit`
  `getSourceUnit()`
  `protected void`
  `visitAnnotation(AnnotationNode node)`
  `protected final void`
  `visitAnnotations(Iterable<AnnotationNode> nodes)`
  `void`
  `visitAnnotations(AnnotatedNode node)`
  `void`
  `visitAssertStatement(AssertStatement statement)`
  `void`
  `visitBlockStatement(BlockStatement statement)`
  `void`
  `visitBreakStatement(BreakStatement statement)`
  `void`
  `visitCaseStatement(CaseStatement statement)`
  `void`
  `visitCatchStatement(CatchStatement statement)`
  `void`
  `visitClass(ClassNode node)`
  Visit a ClassNode.
  `protected void`
  `visitClassCodeContainer(Statement code)`
  `void`
  `visitClosureExpression(ClosureExpression expression)`
  `void`
  `visitConstructor(ConstructorNode node)`
  Visit a ConstructorNode.
  `protected void`
  `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
  `void`
  `visitContinueStatement(ContinueStatement statement)`
  `void`
  `visitDeclarationExpression(DeclarationExpression expression)`
  `void`
  `visitDoWhileLoop(DoWhileStatement statement)`
  `void`
  `visitExpressionStatement(ExpressionStatement statement)`
  `void`
  `visitField(FieldNode node)`
  Visit a FieldNode.
  `void`
  `visitForLoop(ForStatement statement)`
  `void`
  `visitIfElse(IfStatement statement)`
  `void`
  `visitImports(ModuleNode node)`
  `void`
  `visitMethod(MethodNode node)`
  Visit a MethodNode.
  `protected void`
  `visitObjectInitializerStatements(ClassNode node)`
  `void`
  `visitPackage(PackageNode node)`
  `void`
  `visitProperty(PropertyNode node)`
  Visit a PropertyNode.
  `void`
  `visitReturnStatement(ReturnStatement statement)`
  `protected void`
  `visitStatement(Statement statement)`
  `void`
  `visitSwitch(SwitchStatement statement)`
  `void`
  `visitSynchronizedStatement(SynchronizedStatement statement)`
  `void`
  `visitThrowStatement(ThrowStatement statement)`
  `void`
  `visitTryCatchFinally(TryCatchStatement statement)`
  `void`
  `visitWhileLoop(WhileStatement statement)`

  ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

  `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.GroovyCodeVisitor

  `visit, visit, visitEmptyExpression, visitListOfExpressions`

- ## Constructor Details

  - ### ClassCodeVisitorSupport

    public ClassCodeVisitorSupport()

- ## Method Details

  - ### visitClass

    public void visitClass(ClassNode node)
    Description copied from interface: `GroovyClassVisitor`
    Visit a ClassNode.
    Specified by:
      `visitClass` in interface `GroovyClassVisitor`

  - ### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

  - ### visitAnnotations

    protected final void visitAnnotations(Iterable<AnnotationNode> nodes)

  - ### visitAnnotation

    protected void visitAnnotation(AnnotationNode node)

  - ### visitPackage

    public void visitPackage(PackageNode node)

  - ### visitImports

    public void visitImports(ModuleNode node)

  - ### visitConstructor

    public void visitConstructor(ConstructorNode node)
    Description copied from interface: `GroovyClassVisitor`
    Visit a ConstructorNode.
    Specified by:
      `visitConstructor` in interface `GroovyClassVisitor`

  - ### visitMethod

    public void visitMethod(MethodNode node)
    Description copied from interface: `GroovyClassVisitor`
    Visit a MethodNode.
    Specified by:
      `visitMethod` in interface `GroovyClassVisitor`

  - ### visitConstructorOrMethod

    protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

  - ### visitField

    public void visitField(FieldNode node)
    Description copied from interface: `GroovyClassVisitor`
    Visit a FieldNode.
    Specified by:
      `visitField` in interface `GroovyClassVisitor`

  - ### visitProperty

    public void visitProperty(PropertyNode node)
    Description copied from interface: `GroovyClassVisitor`
    Visit a PropertyNode.
    Specified by:
      `visitProperty` in interface `GroovyClassVisitor`

  - ### visitClassCodeContainer

    protected void visitClassCodeContainer(Statement code)

  - ### visitObjectInitializerStatements

    protected void visitObjectInitializerStatements(ClassNode node)

  - ### visitClosureExpression

    public void visitClosureExpression(ClosureExpression expression)
    Specified by:
      `visitClosureExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitClosureExpression` in class `CodeVisitorSupport`

  - ### visitDeclarationExpression

    public void visitDeclarationExpression(DeclarationExpression expression)
    Specified by:
      `visitDeclarationExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitDeclarationExpression` in class `CodeVisitorSupport`

  - ### visitAssertStatement

    public void visitAssertStatement(AssertStatement statement)
    Specified by:
      `visitAssertStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitAssertStatement` in class `CodeVisitorSupport`

  - ### visitBlockStatement

    public void visitBlockStatement(BlockStatement statement)
    Specified by:
      `visitBlockStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBlockStatement` in class `CodeVisitorSupport`

  - ### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)
    Specified by:
      `visitBreakStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBreakStatement` in class `CodeVisitorSupport`

  - ### visitCaseStatement

    public void visitCaseStatement(CaseStatement statement)
    Specified by:
      `visitCaseStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitCaseStatement` in class `CodeVisitorSupport`

  - ### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)
    Specified by:
      `visitCatchStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitCatchStatement` in class `CodeVisitorSupport`

  - ### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)
    Specified by:
      `visitContinueStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitContinueStatement` in class `CodeVisitorSupport`

  - ### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement statement)
    Specified by:
      `visitDoWhileLoop` in interface `GroovyCodeVisitor`
    Overrides:
      `visitDoWhileLoop` in class `CodeVisitorSupport`

  - ### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement statement)
    Specified by:
      `visitExpressionStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitExpressionStatement` in class `CodeVisitorSupport`

  - ### visitForLoop

    public void visitForLoop(ForStatement statement)
    Specified by:
      `visitForLoop` in interface `GroovyCodeVisitor`
    Overrides:
      `visitForLoop` in class `CodeVisitorSupport`

  - ### visitIfElse

    public void visitIfElse(IfStatement statement)
    Specified by:
      `visitIfElse` in interface `GroovyCodeVisitor`
    Overrides:
      `visitIfElse` in class `CodeVisitorSupport`

  - ### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)
    Specified by:
      `visitReturnStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitReturnStatement` in class `CodeVisitorSupport`

  - ### visitSwitch

    public void visitSwitch(SwitchStatement statement)
    Specified by:
      `visitSwitch` in interface `GroovyCodeVisitor`
    Overrides:
      `visitSwitch` in class `CodeVisitorSupport`

  - ### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement statement)
    Specified by:
      `visitSynchronizedStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitSynchronizedStatement` in class `CodeVisitorSupport`

  - ### visitThrowStatement

    public void visitThrowStatement(ThrowStatement statement)
    Specified by:
      `visitThrowStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitThrowStatement` in class `CodeVisitorSupport`

  - ### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement statement)
    Specified by:
      `visitTryCatchFinally` in interface `GroovyCodeVisitor`
    Overrides:
      `visitTryCatchFinally` in class `CodeVisitorSupport`

  - ### visitWhileLoop

    public void visitWhileLoop(WhileStatement statement)
    Specified by:
      `visitWhileLoop` in interface `GroovyCodeVisitor`
    Overrides:
      `visitWhileLoop` in class `CodeVisitorSupport`

  - ### visitStatement

    protected void visitStatement(Statement statement)

  - ### getSourceUnit

    protected abstract SourceUnit getSourceUnit()

  - ### addError

    public void addError(String error, ASTNode node)
    Specified by:
      `addError` in interface `ErrorCollecting`